package domain

type AlibabaWdkCouponSkuAddUserInfo struct {
	/*
	   来源     */
	Source *string `json:"source,omitempty" `

	/*
	   用户id     */
	UserId *int64 `json:"user_id,omitempty" `

	/*
	   用户名称     */
	UserName *string `json:"user_name,omitempty" `
}

func (s *AlibabaWdkCouponSkuAddUserInfo) SetSource(v string) *AlibabaWdkCouponSkuAddUserInfo {
	s.Source = &v
	return s
}
func (s *AlibabaWdkCouponSkuAddUserInfo) SetUserId(v int64) *AlibabaWdkCouponSkuAddUserInfo {
	s.UserId = &v
	return s
}
func (s *AlibabaWdkCouponSkuAddUserInfo) SetUserName(v string) *AlibabaWdkCouponSkuAddUserInfo {
	s.UserName = &v
	return s
}
